[Resolved] GBeaver Warning Message – Outdated Templates

Forum Forums Theme GBeaver Warning Message – Outdated Templates

This topic contains 3 replies, has 2 voices, and was last updated by  WP Beaver World 1 year, 7 months ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #237

    jordydme
    Participant

    I’m seeing this warning in the dash of a client site….

    Your theme (GBeaver) contains outdated copies of some WooCommerce template files. These files may need updating to ensure they are compatible with the current version of WooCommerce. You can see which files are affected from the system status page. If in doubt, check with the author of the theme.

    #238

    WP Beaver World
    Keymaster

    Gbeaver is not using any WooCommerce template files. Are you created the woocommerce folder inside the gbeaver folder and added templates files there?

    #239

    jordydme
    Participant

    I don’t understand your question. I had a developer do some work building the site. Can you ask me your question in a clearer more understandable way. I am not a developer. Please give me clear examples, like file paths, etc. Thanks.

    #240

    WP Beaver World
    Keymaster

    may be your developer did some custom work, copied some WC->templates folder files and paste into gbeaver->woocommerce folder. Those files’s version are outdated now. You can edit every file and change the version like

    /**
     * The template for displaying product content within loops
     *
     * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
     *
     * HOWEVER, on occasion WooCommerce will need to update template files and you
     * (the theme developer) will need to copy the new files to your theme to
     * maintain compatibility. We try to do this as little as possible, but it does
     * happen. When this occurs the version of the template file will be bumped and
     * the readme will list any important changes.
     *
     * @see     https://docs.woocommerce.com/document/template-structure/
     * @author  WooThemes
     * @package WooCommerce/Templates
     * @version 3.0.0
     */

    would be

    /**
     * The template for displaying product content within loops
     *
     * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
     *
     * HOWEVER, on occasion WooCommerce will need to update template files and you
     * (the theme developer) will need to copy the new files to your theme to
     * maintain compatibility. We try to do this as little as possible, but it does
     * happen. When this occurs the version of the template file will be bumped and
     * the readme will list any important changes.
     *
     * @see     https://docs.woocommerce.com/document/template-structure/
     * @author  WooThemes
     * @package WooCommerce/Templates
     * @version 3.3.0
     */
Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.